Subject: Re: [PATCH net-next 2/2] selftests: net: ksft: support marking tests as disruptive

From: Jakub Kicinski <[email-masked]>
Date: Tue, 30 Jul 2024 11:13:27 -0700

On Tue, 30 Jul 2024 09:20:05 -0700 Stanislav Fomichev wrote:
> SG! The patch you reference is doing it in NetDrvEnv* but I'll probably
> try to keep most of the code in 'core' ksft. So far I'm thinking about
> adding some ksft_setup(env) to initialize that disruptive=yes/no state.
> LMK if you prefer me to keep everything in NetDrvEnv instead (or wait
> until I send out a v2 later today).

Yup, core is cleaner, agreed. I haven't spent the time to investigate
how to hook it in properly but both DISRUPTIVE and VERBOSE are really
core settings. Just to state the obvious, would be great to maintain
the ability to load the settings from a file (_load_env_file())
It's convenient not to have to re-export after reboot or when SSH
session dies.